> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset a password for a user



## OpenAPI

````yaml /openapi.yaml post /auth/password/reset
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/password/reset:
    post:
      tags:
        - Authenticate
      summary: Reset a password for a user
      operationId: resetPassword
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordRequest'
      responses:
        '204':
          description: The password has been reset.
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - password_token: []
components:
  schemas:
    PasswordRequest:
      type: object
      description: >-
        An object containing a new password and a confirmation of the new
        password.
      properties:
        password:
          description: A new password.
          allOf:
            - $ref: '#/components/schemas/Password'
        confirmPassword:
          description: The confirmation of the new password.
          allOf:
            - $ref: '#/components/schemas/Password'
    Password:
      type: string
      format: password
      description: |
        A user password must contain at least:
        - 1 number,
        - 1 uppercase letter,
        - 1 lowercase letter,
        - 1 special character amongst the following:
          !"#$%&'()*+,-./:;<=>?@[]^_`{|}~
        - 12 characters.
        And it must not exceed 72 bytes.
      allOf:
        - type: string
          pattern: .*[0-9]{1}
        - type: string
          pattern: .*[A-Z]{1}
        - type: string
          pattern: .*[a-z]{1}
        - type: string
          pattern: .*[!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~]{1}
        - type: string
          pattern: ^.{12,72}$
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    BadRequest:
      description: >-
        The server could not understand the request due to invalid content (bad
        syntax, bad format, bad values, etc).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT
    password_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````